Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class CookieCutter.ChannelCookie

    java.lang.Object
      javax.servlet.http.Cookie
          org.jasig.portal.utils.CookieCutter.ChannelCookie

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  CookieCutter

    private class CookieCutter.ChannelCookie

extends javax.servlet.http.Cookie

This class is used by any channel receiving cookies from a backend application to store cookie information. ChannelCookie extends javax.servlet.http.Cookie and contains methods to query the cookie's attribute status.

Field Summary
`protected boolean` | `domainSet`
`protected java.util.Date` | `expiryDate`
`protected boolean` | `pathSet`
`protected java.lang.String` | `port`
`protected boolean` | `portSet`

Constructor Summary
`CookieCutter.ChannelCookie(java.lang.String name, java.lang.String value)`

Method Summary
`void` | `domainIsSet()`
`java.util.Date` | `getExpiryDate()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getValue()`
`boolean` | `isDomainSet()`
`boolean` | `isPathSet()`
`boolean` | `isPortSet()`
`void` | `pathIsSet()`
`void` | `portIsSet()`
`void` | `setExpiryDate(java.util.Date expiryDate)`
`void` | `setPort(java.lang.String port)`

Methods inherited from class javax.servlet.http.Cookie
`clone, getComment, getDomain, getMaxAge, getName, getSecure, getVersion, setComment, setDomain, setMaxAge, setPath, setSecure, setValue, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### port

    protected java.lang.String port

### pathSet

    protected boolean pathSet

### domainSet

    protected boolean domainSet

### portSet

    protected boolean portSet

### expiryDate

    protected java.util.Date expiryDate

Constructor Detail

### CookieCutter.ChannelCookie

    public CookieCutter.ChannelCookie(java.lang.String name,
                                      java.lang.String value)

Method Detail

### setExpiryDate

    public void setExpiryDate(java.util.Date expiryDate)

### getExpiryDate

    public java.util.Date getExpiryDate()

### getPath

    public java.lang.String getPath()

  Overrides:
    `getPath` in class `javax.servlet.http.Cookie`

### getValue

    public java.lang.String getValue()

  Overrides:
    `getValue` in class `javax.servlet.http.Cookie`

### pathIsSet

    public void pathIsSet()

### domainIsSet

    public void domainIsSet()

### portIsSet

    public void portIsSet()

### setPort

    public void setPort(java.lang.String port)

### getPort

    public java.lang.String getPort()

### isPathSet

    public boolean isPathSet()

### isDomainSet

    public boolean isDomainSet()

### isPortSet

    public boolean isPortSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD